# C++ keywords: struct

From cppreference.com
< cpp‎ | keyword

### Usage

- declaration of a compound type

- declaration of a scoped enumeration type

(since C++11)

- If a function or a variable exists in scope with the name identical to the name of a non-union class type, `struct` can be prepended to the name for disambiguation, resulting in an elaborated type specifier

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/keyword/struct&oldid=109162"